PDA

Visualizza la versione completa : Applicazioni che non partono più


alex86
01-02-2005, 16:06
ho un problema.. credo di aver combinato qualche macello con la slack!..allora..

ho aggiornato xorg ma ora le applicazioni non partono proprio! se le lancio da shell mi danno questo errore


ale@salentinu:~$ xchat
xchat: relocation error: /usr/lib/libgtk-x11-2.0.so.0: undefined symbol: g_option_context_new
ale@salentinu:~$ xmms
xmms: error while loading shared libraries: libgtk-1.2.so.0: cannot open sharedobject file: No such file or directory
ale@salentinu:~$ firefox
/usr/lib/firefox/firefox-bin: relocation error: /usr/lib/libgtk-x11-2.0.so.0: undefined symbol: g_option_context_new
ale@salentinu:~$

che mi manca?da dove installo questa libgtk-x11-2.0.so.0?

Metal_Z
01-02-2005, 19:06
Hai per caso modificato qualche file a mano cercando di attivare qualcosa?

se si, prova a eliminare libgtk-x11-2.0 assieme ai file di configurazione e reinstallali.
Ah, un consiglio.. quando posti, metti il problema esatto nel titolo, qui avresti dovuto mettere qualcosa tipo "problemi con le gtk" in modo da aiutare chi ti aiuta a capire il problema che hai guardando la lista dei topic e sapere se entrare oppure no..
ciao!

pazx
01-02-2005, 19:07
libgtk2.0-dev ?

alex86
01-02-2005, 22:26
ho risolto con l'installazione delle gtk!

tnx :ciauz:

IRide
22-02-2006, 21:04
Ho lo stesso problema ma tutte le gtk installate (dopo i vari problemi avuti con kde, uff pare non finire più! :) ). Sapete cosa di preciso bisogna installare per far partire, tra gli altri, firefox e thunderbird? Ripeto l'errore:

/usr/lib/firefox-1.5.0.1/firefox-bin: symbol lookup error: /usr/lib/libgtk-x11-2.0.so.0: undefined symbol: g_object_compat_control

francofait
22-02-2006, 21:31
ftp://ftp.slackware.no/pub/Linux/ISO-images/Slackware/Current-ISO-build/slackware-current-20_Feb_2006-DVD.iso

con il dvd pronto aggiornato evitate tante bege.

kernel-2.6.15.3 kde3.5.1 - Slackware Current dvd iso.-

wolf64
22-02-2006, 21:49
Ragazzi, controllate sempre anche il file /etc/ld.so.conf perchè io nei giorni scorsi mi sono smazzato in quanto non mi partiva il mio preziosissimo streamtuner, poi ho scoperto che era per libcurl, una libreria di curl, continuava a dirmi che non era compilata con il supporto http, ho provato a compilarla direttamente io, ma niente.... adesso non sto a raccontarvi tutto, ma in totale ho scoperto che andava a prendere la stessa libreria presente in openoffice, successivamente ho anche scoperto che esistevano due programmi che avevano al loro interno quella libreria oltre alla sua presenza in /usr/lib, ma il problema era che, per non so quale motivo:

dal file /etc/ld.so.conf era sparito il percorso /usr/lib!!!
Lo ho rimesso nella prima riga, ho lanciato un ldconfig e tutto è andato a posto!

Boh... :rollo:

IRide
23-02-2006, 01:04
Niente, continua a dare lo stesso errore, provo a scaricare l'iso. Poi praticamente devo fare l'upgradepkg di tutto quanto c'è sul dvd?! :dhò:

Loading